import React from 'react';
import logo from '../../logo.svg';
import Mech from '../../Mech';

function Member({mech} : Record<'mech', Mech>) {
    return (
        <div className='mech-member'>
            <h3>{mech.name}</h3>
            <div className='mech-description'>
                <img src={logo} alt='Mech picture' />
                <ul className='mech-stats'>
                    <li>Class : {mech.kind}</li>
                    <li>Health : {mech.health}</li>
                </ul>
            </div>
            <button>Remove</button>
        </div>
    )
}

export default Member;