import React from 'react';
import Member from './Member';
import logo from '../../logo.svg';
import Mech from '../../Mech';

function Squad() {

    const it1: Mech = {id: 1, name: 'HelloType', kind: 'K1', health: 3};
    const it2: Mech = {id: 2, name: 'Giant Mech', kind: 'K1', health: 3};
    const it3: Mech = {id: 3, name: 'Techno-prop', kind: 'K1', health: 4};
    return (
        <article className='custom-squad'>
            <h2>Custom squad</h2>
            <div className='mech-members'>
                <Member mech={it1}/>
                <Member mech={it2}/>
                <Member mech={it3}/>
            </div>
            <div className='squad-description'>
                <label htmlFor='squad-description-field-id'>Squad description</label>
                <textarea id='squad-description-field-id'>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                </textarea>
            </div>
        </article>
    )
}

export default Squad;